> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apikley.ru/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling v2 1 standard

# Kling - V2.1 Standard

> Generate videos using Kling's advanced AI model

## Query Task Status

After submitting a task, use the unified query endpoint to check progress and retrieve results:

<Card title="Get Task Details" icon="magnifying-glass" href="/market/common/get-task-detail">
  Learn how to query task status and retrieve generation results
</Card>

<Tip>
  For production use, we recommend using the `callBackUrl` parameter to receive automatic notifications when generation completes, rather than polling the status endpoint.
</Tip>

## Related Resources

<CardGroup cols={2}>
  <Card title="Market Overview" icon="store" href="/market/quickstart">
    Explore all available models
  </Card>

  <Card title="Common API" icon="gear" href="/common-api/get-account-credits">
    Check credits and account usage
  </Card>
</CardGroup>

> Rate limits and quotas are enforced by Apikley and may differ from upstream providers.

## OpenAPI

```yaml market/kling/v2-1-standard.json post /api/v1/jobs/createTask theme={null}
openapi: 3.0.0
info:
  title: Kling API
  description: Apikley Kling API Documentation - undefined
  version: 1.0.0
  contact:
    name: Technical Support
    email: support@apikley.ru
servers:
  - url: https://api.apikley.ru
    description: API Server
security:
  - BearerAuth: []
paths:
  /api/v1/jobs/createTask:
    post:
      summary: Generate content using kling/v2-1-standard
      operationId: kling-v2-1-standard
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
              properties:
                model:
                  type: string
                  enum:
                    - kling/v2-1-standard
                  default: kling/v2-1-standard
                  description: |-
                    The model name to use for generation. Required field.

                    - Must be `kling/v2-1-standard` for this endpoint
                  example: kling/v2-1-standard
                callBackUrl:
                  type: string
                  format: uri
                  description: >-
                    The URL to receive generation task completion updates.
                    Optional but recommended for production use.


                    - System will POST task status and results to this URL when
                    generation completes

                    - Callback includes generated content URLs and task
                    information

                    - Your callback endpoint should accept POST requests with
                    JSON payload containing results

                    - Alternatively, use the Get Task Details endpoint to poll
                    task status
                  example: https://your-domain.com/api/callback
                input:
                  type: object
                  description: Input parameters for the generation task
                  properties:
                    prompt:
                      description: >-
                        Text prompt describing the desired video content (Max
                        length: 5000 characters)
                      type: string
                      maxLength: 5000
                      example: >-
                        Begin with the uploaded image as the first frame.
                        Gradually animate the scene: steam rises and drifts
                        upward from the train; lantern lights flicker subtly;
                        cloaked figures begin to move slowly — walking, turning,
                        adjusting their belongings. Floating dust or magical
                        particles catch the light. The text “KLING 2.1 STANDARD
                        API — Now on Apikley” softly pulses with a golden glow.
                        The camera pushes forward slightly, then slowly fades to
                        black.
                    image_url:
                      description: >-
                        URL of the image to be used for the video (File URL
                        after upload, not file content; Accepted types:
                        image/jpeg, image/png, image/webp; Max size: 10.0MB)
                      type: string
                      example: >-
                        https://file.aiquickdraw.com/custom-page/akr/section-images/1755256596169mkkwr2ag.webp
                    duration:
                      description: The duration of the generated video in seconds
                      type: string
                      enum:
                        - '5'
                        - '10'
                      default: '5'
                      example: '5'
                    negative_prompt:
                      description: >-
                        Description of elements to avoid in the generated video
                        (Max length: 500 characters)
                      type: string
                      maxLength: 500
                      example: blur, distort, and low quality
                    cfg_scale:
                      description: >-
                        The CFG (Classifier Free Guidance) scale is a measure of
                        how close you want the model to stick to your prompt
                        (Min: 0, Max: 1, Step: 0.1) (step: 0.1)
                      type: number
                      minimum: 0
                      maximum: 1
                      default: 0.5
                      example: 0.5
                  required:
                    - prompt
                    - image_url
            example:
              model: kling/v2-1-standard
              callBackUrl: https://your-domain.com/api/callback
              input:
                prompt: >-
                  Begin with the uploaded image as the first frame. Gradually
                  animate the scene: steam rises and drifts upward from the
                  train; lantern lights flicker subtly; cloaked figures begin to
                  move slowly — walking, turning, adjusting their belongings.
                  Floating dust or magical particles catch the light. The text
                  “KLING 2.1 STANDARD API — Now on Apikley” softly pulses with a
                  golden glow. The camera pushes forward slightly, then slowly
                  fades to black.
                image_url: >-
                  https://file.aiquickdraw.com/custom-page/akr/section-images/1755256596169mkkwr2ag.webp
                duration: '5'
                negative_prompt: blur, distort, and low quality
                cfg_scale: 0.5
      responses:
        '200':
          description: Request successful
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          taskId:
                            type: string
                            description: >-
                              Task ID, can be used with Get Task Details
                              endpoint to query task status
                            example: task_kling_1765187766581
              example:
                code: 200
                msg: success
                data:
                  taskId: task_kling_1765187766581
        '500':
          $ref: '#/components/responses/Error'
components:
  schemas:
    ApiResponse:
      type: object
      properties:
        code:
          type: integer
          enum:
            - 200
            - 401
            - 402
            - 404
            - 422
            - 429
            - 455
            - 500
            - 501
            - 505
          description: >-
            Response status code


            - **200**: Success - Request has been processed successfully

            - **401**: Unauthorized - Authentication credentials are missing or
            invalid

            - **402**: Insufficient Credits - Account does not have enough
            credits to perform the operation

            - **404**: Not Found - The requested resource or endpoint does not
            exist

            - **422**: Validation Error - The request parameters failed
            validation checks

            - **429**: Rate Limited - Request limit has been exceeded for this
            resource

            - **455**: Service Unavailable - System is currently undergoing
            maintenance

            - **500**: Server Error - An unexpected error occurred while
            processing the request

            - **501**: Generation Failed - Content generation task failed

            - **505**: Feature Disabled - The requested feature is currently
            disabled
        msg:
          type: string
          description: Response message, error description when failed
          example: success
  responses:
    Error:
      description: Server Error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        All APIs require authentication via Bearer Token.


        Get API Key:

        1. Visit [API Key Management Page](https://app.apikley.ru/keys) to get your
        API Key


        Usage:

        Add to request header:

        Authorization: Bearer APIKLEY_API_KEY


        Note:

        - Keep your API Key secure and do not share it with others

        - If you suspect your API Key has been compromised, reset it immediately
        in the management page

```

***

> To find navigation and other pages in this documentation, fetch the llms.txt file at: [https://docs.apikley.ru/llms.txt](https://docs.apikley.ru/llms.txt)
